%define upstream_name    Perl-Critic-Pulp
%define upstream_version 99

%global __provides_exclude perl\\(Perl::MinimumVersion\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Don't use Foo:: style barewords
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::String) >= 1.20.0
BuildRequires: perl(List::MoreUtils) >= 0.240.0
BuildRequires: perl(List::Util)
BuildRequires: perl(PPI) >= 1.220.0
BuildRequires: perl(PPI::Document)
BuildRequires: perl(PPI::Dumper)
BuildRequires: perl(Perl::Critic) >= 1.84.0
BuildRequires: perl(Perl::Critic::Policy) >= 1.84.0
BuildRequires: perl(Perl::Critic::Utils) >= 1.100.0
BuildRequires: perl(Perl::Critic::Utils::PPI)
BuildRequires: perl(Perl::Critic::Violation)
BuildRequires: perl(Pod::Escapes)
BuildRequires: perl(Pod::MinimumVersion) >= 50.0.0
BuildRequires: perl(Pod::ParseLink)
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch
# use dual-life to quiet test::nowarnings

%description
This is a collection of add-on policies for 'Perl::Critic', summarized
below. They're under a "pulp" theme plus other themes according to their
purpose (see the Perl::Critic/POLICY THEMES manpage).

Roughly half are code related and half cosmetic. You can always enable or
disable the ones you do or don't want. It's normal to pick and choose
things reported. There's a lot of perlcritic policies both built-in and
add-on and they range from helpful things catching problems through to the
bizarre or restrictive, and in some cases mutually contradictory! Many are
only intended as building blocks for enforcing a house style. If you try to
pass everything then you'll give away big parts of the language, so if
you're not turning off or customizing about half then you're either not
trying or you're much too easily lead!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f *.list
%make_build test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 99.0.0-3.mga10
+ Revision: 2209723
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 99.0.0-2.mga9
+ Revision: 1820552
- Mageia 9 Mass Rebuild

* Tue Mar 02 2021 tv <tv> 99.0.0-1.mga9
+ Revision: 1696063
- update to 99

* Mon Mar 01 2021 tv <tv> 98.0.0-1.mga9
+ Revision: 1694854
- update to 98

* Sun Feb 16 2020 umeabot <umeabot> 97.0.0-2.mga8
+ Revision: 1536659
- Mageia 8 Mass Rebuild

* Sun Oct 20 2019 tv <tv> 97.0.0-1.mga8
+ Revision: 1454781
- update to 97

* Thu Sep 20 2018 umeabot <umeabot> 96.0.0-2.mga7
+ Revision: 1285713
- Mageia 7 Mass Rebuild

* Tue Dec 26 2017 shlomif <shlomif> 96.0.0-1.mga7
+ Revision: 1185324
- update to 96

* Tue Oct 24 2017 shlomif <shlomif> 95.0.0-1.mga7
+ Revision: 1173393
- update to 95

* Tue Oct 03 2017 tv <tv> 94.0.0-2.mga7
+ Revision: 1166153
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 sander85 <sander85> 94.0.0-1.mga7
+ Revision: 1158464
- update to 94

* Sun Jun 19 2016 pterjan <pterjan> 90.0.0-3.mga6
+ Revision: 1031968
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 90.0.0-2.mga6
+ Revision: 967334
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 90.0.0-1.mga6
+ Revision: 848740
- update to 90

* Wed Oct 15 2014 umeabot <umeabot> 85.0.0-3.mga5
+ Revision: 748488
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 85.0.0-2.mga5
+ Revision: 685932
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Mon May 19 2014 sander85 <sander85> 85.0.0-1.mga5
+ Revision: 623896
- update to 85

* Tue May 06 2014 jquelin <jquelin> 83.0.0-1.mga5
+ Revision: 620794
- update to 83

* Tue Apr 15 2014 jquelin <jquelin> 81.0.0-1.mga5
+ Revision: 614998
- update to 81

* Sat Oct 19 2013 umeabot <umeabot> 80.0.0-2.mga4
+ Revision: 530674
- Mageia 4 Mass Rebuild

* Sat Jul 27 2013 sander85 <sander85> 80.0.0-1.mga4
+ Revision: 459086
- update to 80

* Fri Jun 07 2013 jquelin <jquelin> 79.0.0-1.mga4
+ Revision: 440239
- adding missing buildrequires:
- update to 79

* Sun Jan 13 2013 umeabot <umeabot> 75.0.0-2.mga3
+ Revision: 371675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 75.0.0-1.mga3
+ Revision: 342491
- update to 75

* Wed Nov 07 2012 jquelin <jquelin> 74.0.0-1.mga3
+ Revision: 315821
- update to 74

* Wed Jul 11 2012 jquelin <jquelin> 73.0.0-1.mga3
+ Revision: 269472
- update to 73

* Thu Feb 23 2012 jquelin <jquelin> 69.0.0-1.mga2
+ Revision: 213174
- update to 69

* Mon Dec 19 2011 jquelin <jquelin> 67.0.0-1.mga2
+ Revision: 184213
- update to 67

* Mon Dec 12 2011 jquelin <jquelin> 66.0.0-1.mga2
+ Revision: 180959
- update to 66

* Mon Sep 26 2011 jquelin <jquelin> 65.0.0-1.mga2
+ Revision: 148195
- update to 65
- update to 64

* Wed Jul 13 2011 jquelin <jquelin> 62.0.0-1.mga2
+ Revision: 123642
- update to 62

* Wed Jun 15 2011 jquelin <jquelin> 61.0.0-1.mga2
+ Revision: 107303
- update to 61

* Tue Apr 19 2011 jquelin <jquelin> 53.0.0-1.mga1
+ Revision: 88555
- update to 53

* Mon Apr 04 2011 jquelin <jquelin> 51.0.0-1.mga1
+ Revision: 80323
- update to 51

* Mon Mar 28 2011 jquelin <jquelin> 50.0.0-1.mga1
+ Revision: 78370
- update to 50

* Wed Mar 16 2011 jquelin <jquelin> 49.0.0-1.mga1
+ Revision: 72375
- update to 49

* Tue Mar 15 2011 jquelin <jquelin> 48.0.0-2.mga1
+ Revision: 71820
- remove erroneous provides:

* Wed Mar 09 2011 jquelin <jquelin> 48.0.0-1.mga1
+ Revision: 67030
- update to 48

* Thu Feb 17 2011 dmorgan <dmorgan> 47.0.0-1.mga1
+ Revision: 52966
- New version

* Mon Jan 24 2011 jquelin <jquelin> 45.0.0-1.mga1
+ Revision: 37184
- mageia rebuild
- imported package perl-Perl-Critic-Pulp

